curl --request GET \
--url https://{host}/push/v1/Notification/{externalId} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/push/v1/Notification/{externalId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/push/v1/Notification/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"name": "<string>",
"state": "<string>",
"status": 1,
"deliveryDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"authorId": "<string>",
"authorName": "<string>",
"message": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"deepLink": {
"id": "<string>",
"parameters": {},
"url": "<string>"
},
"isReadyToDistribute": true,
"isSegmented": true,
"segmentationType": 0,
"createdDate": "2023-11-07T05:31:56Z",
"segmentation": {
"membersCount": 123,
"fileName": "<string>",
"fileUrl": "<string>"
},
"audienceIds": [
"<string>"
],
"sentCount": 123,
"openedCount": 123,
"deliveredCount": 123,
"storeId": "<string>",
"unifiedCampaignId": "<string>",
"externalId": "<string>",
"externalUrl": "<string>",
"segmentationFile": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get push notification
This endpoint fetches the details of a push notification identified by the externalId.
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The external identifier of the push notification to retrieve.
Response
Success
Internal unique identifier of the push notification.
Title of the push notification.
Name of the push activity. Falls back to the title for activities created without a name.
Current state of the push notification (e.g., Draft, Scheduled, Delivered).
1, 2, 3, 4, 5 The scheduled delivery date of the push notification.
The date and time when the push notification was last modified.
Identifier of the author who created the push notification.
Name of the author who created the push notification.
Message content of the push notification.
Expiration date after which the notifications will no longer be sent.
Show child attributes
Show child attributes
Indicates whether the notification is ready to be distributed.
Obsolete. Indicates if the notification is segmented. Use Push.Api.DTO.GetNotificationResponse.SegmentationType instead.
0, 1, 2, 3 The date and time when the push notification was created.
Show child attributes
Show child attributes
List of audience IDs targeted by the notification.
Count of subscribed devices to which the notifications are sent.
Number of recipients who opened the notification.
Count of delivered messages which were received by the user.
Identifier for store targeted by the notification
Unified campaign identifier
External identifier of the notification.
External URL linked to the content or notification.
Obsolete. Use file info from Push.Api.DTO.SegmentationInfo instead.